{
  "name": "company-finance-frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "dev:debug": "vite --host --clearScreen false",
    "build": "vite build && sed -i 's/ crossorigin//g' dist/index.html",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "generate-icons": "node public/create-basic-icons.js"
  },
  "dependencies": {
    "@ant-design/icons": "^5.3.0",
    "antd": "^5.16.0",
    "axios": "^1.6.0",
    "dayjs": "^1.11.10",
    "i18next": "^25.8.18",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-i18next": "^16.5.8",
    "react-query": "^3.39.3",
    "react-router-dom": "^6.21.0",
    "xlsx": "^0.18.5",
    "zustand": "^4.4.7"
  },
  "devDependencies": {
    "@playwright/test": "^1.59.1",
    "@types/react": "^18.2.43",
    "@types/react-dom": "^18.2.17",
    "@typescript-eslint/eslint-plugin": "^6.14.0",
    "@typescript-eslint/parser": "^6.14.0",
    "@vitejs/plugin-react": "^4.2.1",
    "eslint": "^8.55.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "typescript": "^5.2.2",
    "vite": "^5.0.8",
    "vite-plugin-pwa": "^0.17.4"
  }
}
